package com.bonus.sgzb.material.service;

import com.bonus.sgzb.base.api.domain.*;
import com.bonus.sgzb.base.api.domain.BackApplyInfo;
import com.bonus.sgzb.material.domain.DirectPassApplyInfoDetails;
import com.bonus.sgzb.material.domain.TmTask;

import java.util.List;

/**
 * @Author：梁超
 * @date：2024/3/4 - 14:49
 */
public interface WorkSiteDirectManageService {

   List<SltAgreementInfo> getUseringData(SltAgreementInfo sltAgreementInfo);

   int saveDirectApplyInfo(DirectApplyInfo directApplyInfos);
   int saveDirectApplyDetails(DirectApplyDetails directApplyInfos);
   int refuseDirectApplyInfo(DirectApplyInfo directApplyInfos);

    List<DirectApplyInfo> getList(DirectApplyInfo directApplyInfo);

    String genderLeaseCode();

    DirectApplyInfo getDirectApplyInfoById(String id);

    int insertTmTask(TmTask bean);

    int insertAgreement(TmTask task);

    int insertApplyInfoAndDetails(TmTask task);

    int insertLeaseOutDetail(List<LeaseOutDetails> leaseOutDetails,TmTask task);

    int insertBackApplyInfoAndDetails(BackApplyInfo backApplyInfo);

    int insertTmTaskByBackInfo(BackApplyInfo backApplyInfo);

    int insertAgreementByBackInfo(BackApplyInfo backApplyInfo);

    int insertBackCheckDetails(List<BackApplyInfo> backApplyDetails);

    DirectApplyInfo getInfoById(SltAgreementInfo sltAgreementInfo);

    int passDirectApplyInfoDetails(DirectPassApplyInfoDetails directApplyInfoDetails);
}
